{% extends "base.html" %}
{% load staticfiles %}
{% load i18n %}

{% block title %}{% trans 'WMDS | Create upk file' %}{% endblock %}

{% block head %}
    <link rel="stylesheet" type="text/css" href="{% static 'css/license_online.css' %}" />
{% endblock head %}

{% block content %}
<div style="text-align: center;">
    <div>
      <h2>Create UPK file</h2>
    </div>
      <br>
      <div>
        <form action="{% url 'create_upk_file' %}" method="post" enctype="multipart/form-data">
        {% csrf_token %}
          {{ form.id }}
          {% for field in form.visible_fields %}
            <div>
              {% for error in field.errors %}
              <div class="error">*{{ error }}</div>
              {% endfor %}
              <div class="{{ field.name }}">
              <label for="{{ field.label }}">{{ field.label }}</label>
              {{ field }}
              {% if field.help_text %}
              <span class="help-block">{{ field.help_text|safe }}</span>
              {% endif %}
              </div>
           </div>
           <br>
        {% endfor %}
        <br>
        <div class="submit-row">
            <input type="submit" value="{% trans 'Create UPK' %}" />
        </div>

        </form>
    </div>
</div>
{% endblock %}